Bug 521475 - Fix files included in jar, other packaging improvements
Summary: Fix files included in jar, other packaging improvements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bouncycastle
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lillian Angel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-06 10:12 UTC by Ville Skyttä
Modified: 2009-10-03 19:07 UTC (History)
2 users (show)

Fixed In Version: 1.43-6.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-06 19:52:17 UTC


Attachments (Terms of Use)
Spec file patch (2.70 KB, patch)
2009-09-06 10:12 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2009-09-06 10:12:02 UTC
Created attachment 359900 [details]
Spec file patch

bcprov.jar is missing a couple of .properties files and includes test suite classes in deviation from upstream shipped bcprov jar.  Fix for these and some other packaging issues/improvements attached; these would be nice to have in earlier distro versions besides F-12 as well.

* Sun Sep  6 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.43-6
- Include missing properties files in jar.
- Build with javac -encoding UTF-8.
- Use %javac and %jar macros.
- Run test suite during build (ignoring failures for now).
- Follow upstream in excluding various test suite classes from jar; drop
  dependency on junit4.

I suspect at least some of the test suite failures might be due to missing test data files, but didn't look further.

Comment 1 Orcan Ogetbil 2009-09-06 16:07:18 UTC
Hi Ville,

What about other bouncycastle packages? bouncycastle-{mail,tsp}? Do they need to be changed too? Do you want to do the changes yourself or do you need me to do them?

Comment 2 Ville Skyttä 2009-09-06 19:52:17 UTC
(In reply to comment #1)
> What about other bouncycastle packages? bouncycastle-{mail,tsp}? Do they need
> to be changed too?

I don't know - I haven't looked at the contents of {mail,tsp}.  Let me know if you'd like me to have a look and compare with upstream.

> Do you want to do the changes yourself or do you need me to do them?

I took this as an ack for the changes and went ahead and committed this for devel, build is in progress too.  It could be better if you'd take care of earlier distro versions as you see fit so you'll get to decide the release tag scheme and spec branching (as the Rawhide one requires later java than what's available on earlier distros, spec file will probably need branching and release tags should probably differ as well to avoid confusion).

http://koji.fedoraproject.org/koji/taskinfo?taskID=1658931

Comment 3 Orcan Ogetbil 2009-09-17 08:00:45 UTC
I applied the same fixes to {mail,tsp} and built them on F-12. I also applied the fixes to the F-11 packages. I am not doing the F-10 for the time being. F-10 uses bouncycastle-1.41 and one needs some decent spare time to update the packages properly and to test them. If we get a user complaint, we can return to this. 

Meanwhile, if you (or anyone else) want to do the F-10 updates, be my guest.

Comment 4 Fedora Update System 2009-09-17 09:20:13 UTC
bouncycastle-tsp-1.43-6.fc11,bouncycastle-mail-1.43-5.fc11,bouncycastle-1.43-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bouncycastle-tsp-1.43-6.fc11,bouncycastle-mail-1.43-5.fc11,bouncycastle-1.43-6.fc11

Comment 5 Fedora Update System 2009-10-03 19:07:36 UTC
bouncycastle-tsp-1.43-6.fc11, bouncycastle-mail-1.43-5.fc11, bouncycastle-1.43-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.